Ionize Docs
ReferenceAPIsOry Hydra APIoAuth2

The OAuth 2.0 Token Endpoint

Use open source libraries to perform OAuth 2.0 and OpenID Connect

POST /oauth2/token

Use open source libraries to perform OAuth 2.0 and OpenID Connect available for any programming language. You can find a list of libraries here https://oauth.net/code/

This endpoint should not be used via the Ory SDK and is only included for technical reasons. Instead, use one of the libraries linked above.

Operation ID: oauth2TokenExchange    Tag: oAuth2

Request body

Content-Type: application/x-www-form-urlencoded

Type: object

Responses

StatusDescriptionBody
200oAuth2TokenExchangeapplication/json — object
defaulterrorOAuth2application/json — object

Security

  • basic
  • oauth2

Generated from scripts/gen/specs/hydra-api.json at build time.

On this page